{% extends 'animeflix_app/pages/video.html' %}
{% load static %}

{% block seasonFilter %}
    <form action="{% url 'v_season' %}" method="get" class="form-inline align-items-center" id="seasonForm">

        <div class="input-group flex-nowrap my-2">
            <label class="input-group-text" for="seasons">Choose your Season</label>
            <select class="form-select" id="seasons" name="season">
                <option value="All" selected>All</option>
                {% for stagione, anno in seasons %}
                    {% if stagione and anno %}
                        <option value="{{ stagione }}_{{ anno }}">{{ stagione }} {{ anno }}</option>
                    {% endif %}
                {% endfor %}
            </select>
            <button type="submit" id="seasonFilterButton" class="btn btn-primary btn-sm">filter</button>
        </div>
    </form>
{% endblock %}